Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 83)
@@ -32,7 +32,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -39,26 +39,30 @@
             /// </summary>
             PersonCode,
             /// <summary>
-            /// 日報作成日
+            /// 出勤管理年月
             /// </summary>
-            AttendanceDate,
+            AttendanceMonth,
             /// <summary>
-            /// 明細行番号
+            /// 当月最終日
             /// </summary>
-            SeqNo,
+            LastDays,
             /// <summary>
-            /// 工事番号
+            /// 出勤日数
             /// </summary>
-            ConstructionCode,
+            AttendDayCount,
             /// <summary>
-            /// 残業時間
+            /// 残業時間数
             /// </summary>
-            OvertimeHours,
+            TotalOverTimes,
             /// <summary>
-            /// コメント
+            ///  申請日
             /// </summary>
-            WorkingComment,
+            OrderDate,
             /// <summary>
+            /// 申請受付番号
+            /// </summary>
+            OrderNo,
+            /// <summary>
             /// 登録年月日
             /// </summary>
             EntryDate,
@@ -87,17 +91,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             string strcmd = "SELECT";
 
             strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(AttendanceDate, '%Y/%m/%d')";          // 日報作成日
-            strcmd += " ,SeqNo";                                            // 明細行番号
-            strcmd += " ,ConstructionCode";                                 // 工事番号
-            strcmd += " ,OvertimeHours";                                    // 残業時間
-            strcmd += " ,WorkingComment";                                   // コメント
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
+            strcmd += " ,DATE_FORMAT(AttendanceMonth, '%Y/%m/%d')";         // 出勤管理年月
+            strcmd += " ,LastDays";                                         // 当月最終日
+            strcmd += " ,AttendDayCount";                                   // 出勤日数
+            strcmd += " ,TotalOverTimes";                                   // 残業時間数
+            strcmd += " ,DATE_FORMAT(OrderDate, '%Y/%m/%d')";               // 申請日
+            strcmd += " ,OrderNo";                                          // 申請受付番号
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
             strcmd += " FROM AttendanceData";
 
             return strcmd;
@@ -107,7 +112,7 @@
         #region 複数読込み処理
         public bool SelectAction(string AddSQLString, ref List<AttendanceData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -140,7 +145,7 @@
         #region 1件読込み処理
         public bool SelectAction(string AddSQLString, ref AttendanceData data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -181,24 +186,26 @@
             try
             {
                 strcmd = "INSERT INTO AttendanceData";
-                strcmd += "  (PersonCode";      // 担当者コード
-                strcmd += " ,AttendanceDate";   // 日報作成日
-                strcmd += " ,SeqNo";            // 明細行番号
-                strcmd += " ,ConstructionCode"; // 工事番号
-                strcmd += " ,OvertimeHours";    // 残業時間
-                strcmd += " ,WorkingComment";   // コメント
-                strcmd += " ,EntryDate";        // 登録年月日
-                strcmd += " ,UpdateDate)";      // 更新年月日
 
-                strcmd += " VALUES (";
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
                 strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                            , work.AttendanceDate.ToShortDateString()); // 日報作成日
-                strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
-                strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
-                strcmd += string.Format(", {0}", work.OvertimeHours);                   // 残業時間
-                strcmd += string.Format(",'{0}'", work.WorkingComment);                 // コメント
+                                            , work.AttendanceMonth.ToShortDateString());// 日報作成日
+                strcmd += string.Format(", {0}", work.LastDays);                        // 当月最終日
+                strcmd += string.Format(", {0}", work.AttendDayCount);                  // 出勤日数
+                strcmd += string.Format(", {0}", work.TotalOverTimes);                  // 残業時間数
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                                            , work.OrderDate.ToShortDateString());      // 申請日
+                strcmd += string.Format(", {0}", work.OrderNo);                         // 申請受付番号
 
                 strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
@@ -254,13 +261,15 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.AttendanceDate.ToShortDateString());             // 日報作成日
-                strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",OvertimeHours = {0}", data.OvertimeHours);            // 残業時間
-                strcmd += string.Format(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
-                
+                strcmd += string.Format(" ,AttendanceMonth = STR_TO_DATE('{0}','%Y/%m/%d')",
+                                                    data.AttendanceMonth.ToShortDateString());  // 出勤管理年月
+                strcmd += string.Format(" ,LastDays =  {0} ", data.LastDays);                   // 当月最終日
+                strcmd += string.Format(" ,AttendDayCount =  {0} ", data.AttendDayCount);       // 出勤日数
+                strcmd += string.Format(" ,TotalOverTimes =  {0} ", data.TotalOverTimes);       // 残業時間数
+                strcmd += string.Format(" ,OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                                                    data.OrderDate.ToShortDateString());        // 申請日
+                strcmd += string.Format(" ,OrderNo =  {0} ", data.OrderNo);                     // 申請受付番号
+
                 strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
@@ -285,7 +294,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -312,7 +321,7 @@
         /// <param name="value"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(int PersonCode, DateTime AttendanceMonth, int FeildNo, object value, bool bConnect = true)
         {
             string strcmd = "";
             try
@@ -322,28 +331,31 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)DataColumn.PersonCode:
+                    case (int)TableColumn.PersonCode:
                         strcmd += string.Format(" PersonCode = {0}", (int)value);
                         break;
-                    case (int)DataColumn.AttendanceDate:
-                        strcmd += string.Format(" AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.AttendanceMonth:
+                        strcmd += string.Format(" AttendanceMonth = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.SeqNo:
-                        strcmd += string.Format(" SeqNo = {0}", (int)value);
+                    case (int)TableColumn.LastDays:
+                        strcmd += string.Format(" LastDays = {0}", (int)value);
                         break;
-                    case (int)DataColumn.ConstructionCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", (int)value);
+                    case (int)TableColumn.AttendDayCount:
+                        strcmd += string.Format(" AttendDayCount = {0}", (int)value);
                         break;
-                    case (int)DataColumn.OvertimeHours:
-                        strcmd += string.Format(" OvertimeHours = {0}", (double)value);
+                    case (int)TableColumn.TotalOverTimes:
+                        strcmd += string.Format(" TotalOverTimes = {0}", (double)value);
                         break;
-                    case (int)DataColumn.WorkingComment:
-                        strcmd += string.Format(" WorkingComment = '{0}'", CommonMotions.cnvString(value));
+                    case (int)TableColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
+                    case (int)TableColumn.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", (int)value);
+                        break;
                 }
 
                 strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+                strcmd += CreatePrimarykeyString(PersonCode, AttendanceMonth);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
@@ -368,15 +380,16 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.AttendanceDate = DateTime.Parse(objwrk[(int)DataColumn.AttendanceDate].ToString());     // 日報作成日
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.OvertimeHours = double.Parse(objwrk[(int)DataColumn.OvertimeHours].ToString());         // 残業時間
-                wrk.WorkingComment = objwrk[(int)DataColumn.WorkingComment].ToString();                     // 当日作業内容
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.AttendanceMonth = DateTime.Parse(objwrk[(int)TableColumn.AttendanceMonth].ToString());   // 出勤管理年月
+                wrk.LastDays = int.Parse(objwrk[(int)TableColumn.LastDays].ToString());                      // 当月最終日
+                wrk.AttendDayCount = int.Parse(objwrk[(int)TableColumn.AttendDayCount].ToString());          // 出勤日数
+                wrk.TotalOverTimes = double.Parse(objwrk[(int)TableColumn.TotalOverTimes].ToString());       // 残業時間数
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.OrderDate].ToString());               // 申請日
+                wrk.OrderNo = int.Parse(objwrk[(int)TableColumn.OrderNo].ToString());                        // 申請受付番号
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -398,16 +411,14 @@
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
+        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceMonth)
         {
             string strWork = "";
             try
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                if (AttendanceDate != DateTime.MinValue)
-                    strWork += string.Format(" AND AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());
-                if (SeqNo != 0)
-                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+                if (AttendanceMonth != DateTime.MinValue)
+                    strWork += string.Format(" AND AttendanceMonth = STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceMonth.ToShortDateString());
             }
             catch (Exception ex)
             {
@@ -417,44 +428,5 @@
             return strWork;
         }
         #endregion
-
-        #region 追加番号の最大値を取得
-        /// <summary>
-        /// 追加番号の最大値を取得する
-        /// </summary>
-        /// <param name="AddSQLString"></param>
-        /// <param name="bConnect"></param>
-        /// <returns></returns>
-        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
-        {
-            //Oracle インターフェース
-            string strcmd = "";
-            ArrayList arData = new ArrayList();
-            int iRet = 0;
-            try
-            {
-                // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM AttendanceData" + AddSQLString;
-
-                // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
-
-                // データセット
-                foreach (object[] objwrk in arData)
-                {
-                    if (objwrk[0].ToString().Equals("null"))
-                        iRet = 0;
-                    else
-                        iRet = int.Parse(objwrk[0].ToString());
-                }
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
-            }
-            return iRet;
-        }
-        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 83)
@@ -64,13 +64,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<BankBusinessDayMaster> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += "  YearMonth, BankBusinessDay, Note, DeleteFlg";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -181,7 +181,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 83)
@@ -71,7 +71,7 @@
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " CompanyCode,TargetDate,SeqNo,BillPrice";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -179,7 +179,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 83)
@@ -71,13 +71,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<BillingDataDetail> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " CompanyCode,TargetDate,SeqNo,LineCount,ConstructionCode,FieldName,BillPrice,HighwPrice,HardwPrice,IndsWasteTax,Note";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -198,7 +198,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 83)
@@ -73,13 +73,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<BillingPaymentSummary> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " CompanyCode,TargetDate,ChargePaymentKind,DATE_FORMAT(Payday, '%Y/%m/%d'),BillPriceStotal,ConsumptionTaxRate,ConsumptionTaxPrice,HighwPriceStotal,HardwPriceStotal,IndsWasteTaxStotal,CnstrPriceRate,CnstrPriceStotal,BillingPriceTotal";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -207,7 +207,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
